<!doctype html>
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <title>KP Holland veredeling</title>
	<script type="text/javascript" src="../dhtmlx/datastore.js"></script>        
    <script src="codebase/dhtmlxscheduler.js" type="text/javascript"></script>    
    <script src="codebase/ext/dhtmlxscheduler_timeline.js" type="text/javascript"></script>        
    <script src="codebase/ext/dhtmlxscheduler_treetimeline.js" type="text/javascript"></script>   
	<script src="codebase/ext/dhtmlxscheduler_tooltip.js"></script>    
    <script src="../dhtmlx/dhtmlx.js" type="text/javascript"></script>   
	<link rel="stylesheet" href="codebase/dhtmlxscheduler.css" type="text/css" media="screen" title="no title" charset="utf-8">
    <link rel="STYLESHEET" type="text/css" href="../dhtmlx/dhtmlx.css">

<style type="text/css" media="screen">
       html, body {
           width: 100%;
           height: 100%;
           margin: 0px;
	   		padding:0px;
           overflow: hidden;
        }
.gereed{
	   font-weight:bold;
	background-color:#CCC;
}
.initieel{
	background-color:#9F9;
}
.afleveren{
	background-color:#FF9;
}
.voorbeeldwaardes{
	background-color:#FF9;
}
.planv{
	background-color:#FF9;
}
.ev.backgroundColor{
		background-color:#FF9;
}
</style>
<script type="text/javascript">
Date.prototype.addDays = function(days)
{
    var dat = new Date(this.valueOf());
    dat.setDate(dat.getDate() + days);
    return dat;
}
Date.prototype.getWeek = function() {
    var onejan = new Date(this.getFullYear(),0,1);
    return Math.ceil((((this - onejan) / 86400000) + onejan.getDay()+1)/7);
} 

var mygrid,toolbar,openWindow,overzichtgrid,menu,data2,plangrid,main_layout,datarasfase;

function dataladen(id){
	data2 = new dhtmlXDataStore({
	url:"data2.json",
		datatype:"json",
		scheme:{
			 $init:function(obj){
				if (typeof obj.start_date == "string"){
					obj.start_date = scheduler.templates.xml_date(obj.start_date);
					obj.end_date = scheduler.templates.xml_date(obj.end_date);
				}
			}
		}
	});
	plangrid.sync(data2);
	datarasfase = new dhtmlXDataStore({
		url:"datarasfase.json",
		datatype:"json"
	});
	scheduler.sync(data2);
}

function overzichtgridbouwen(id){
	var trajecten=new Array(); 
	var rowsCount = data2.dataCount();
	var sectielijst=[];
	for (var rInd = 0;rInd < rowsCount;rInd++) {
		var itemId = data2.idByIndex(rInd);
		trajecten[data2.item(itemId).trajectid]=data2.item(itemId).trajectid;
	}
	var z=0;
	for (var i in trajecten) {
		sectielijst[z] = new Array();
		sectielijst[z]['key']=trajecten[i];
		sectielijst[z]['label']='Traject'+trajecten[i];
		sectielijst[z]['children']=new Array();		
		var fases=new Array(); 
		var rowsCount = data2.dataCount();
		for (var rInd = 0;rInd < rowsCount;rInd++) {
			var itemId = data2.idByIndex(rInd);
			if (data2.item(itemId).trajectid==trajecten[i]){
				fases[data2.item(itemId).faseid]=data2.item(itemId).faseid;
			}
		}
		var q=0;
		for (var j in fases) {
			sectielijst[z]['children'][q]= new Array();
			sectielijst[z]['children'][q]['key']=trajecten[i]+"-"+fases[j];
			sectielijst[z]['children'][q]['label']=fases[j]+" : "+datarasfase.item(fases[j]).lettercode;
			q++;
		}
			q++;
			z++;
		}
	scheduler.updateCollection("sections", sectielijst);

}




function do_fase_overgaanvolgende(event_id){////////////////////////////////////////////////////////////////////////////////////////////FASE SPLITSEN
	var ouderitem=data2.item(event_id);
	var rowsCount = data2.dataCount();
	for (var rInd = 0;rInd < rowsCount;rInd++) {
		var itemId = data2.idByIndex(rInd);
		if (data2.item(itemId).ouderid==ouderitem.id){
			var check=true;
		}
	}
	
		formStructure = [
			{type:"settings" , labelWidth:80, inputWidth:250, position:"absolute"  },
			{type: "select", label: "Fase", name:"fase", labelAlign:"left", inputWidth:170, labelLeft:25, labelTop:5, inputLeft:105, inputTop:5 , options:[]},
		{ type:"calendar" , name:"startdatum", label:"startdatum", labelAlign:"left", inputWidth:170, options:{
			},showWeekNumbers:"true", labelLeft:25, labelTop:25, inputLeft:105, inputTop:25  },
			{type:"button", name:"start", label:"Start", value:"Start", width:"125", inputWidth:125, inputLeft:125, inputTop:125  },
			{type:"button", name:"annuleren",label:"Annuleren", value:"Annuleren", width:"125", inputWidth:125, inputLeft:275, inputTop:125  }
		];
	
		
		var popupWindow = main_layout.dhxWins.createWindow("fase_volgende", 0, 0, 600, 200);
		popupWindow.center();
		popupWindow.setText("Overgaan naar volgende fase");
		var popuplayout = popupWindow.attachLayout('1C');	
		popuplayout.cells("a").hideHeader();
		var openqueryform = popuplayout.cells("a").attachForm(formStructure);
		var opts=openqueryform.getOptions("fase");
		openqueryform.setCalendarDateFormat("startdatum", "%d/%m/%y", "%d/%m/%y");
		var rowsCount = datarasfase.dataCount();
		for (var rInd = 0;rInd < rowsCount;rInd++) {
			var itemId = datarasfase.idByIndex(rInd);
			var item = datarasfase.item(itemId);
			opts.add(new Option(item.id+'-'+item.omschrijving,item.id));
		}	
		var einddatum=ouderitem.end_date;		
		openqueryform.setItemValue("fase", ouderitem.faseid);
		openqueryform.setItemValue("startdatum", einddatum.addDays(1));		
openqueryform.attachEvent("onButtonClick", function(id){
		if(id=="annuleren"){
			popupWindow.hide();
		};
		if(id=="start"){
				var startdatum=openqueryform.getItemValue("startdatum");

				var fase=openqueryform.getItemValue("fase");
				var aantalverwerken=ouderitem.aantalgepland;
				var aantalgepland=ouderitem.aantalgepland*datarasfase.item(fase).factor;
				var dagen=(datarasfase.item(fase).cyclustijd*7)-1;
				var invoereinddatum=startdatum.addDays(dagen);
				scheduler.addEvent({
						start_date:startdatum,
						end_date:invoereinddatum,aantalgepland:aantalgepland,
						text:aantalgepland, ouderid:ouderitem.id,
						faseid:fase,sectieid:ouderitem.trajectid+'-'+fase, 
							mediumid:ouderitem.mediumid,jaar:startdatum.getFullYear(),week:startdatum.getWeek(),bakjesperbled:ouderitem.bakjesperbled,trajectid:ouderitem.trajectid,color:'green'}
						);
				overzichtgridbouwen();
				scheduler.openSection(ouderitem.trajectid);				
//				scheduler.addSection( {key:ouderitem.trajectid+'-'+fase, label:fase},ouderitem.trajectid);					
				popupWindow.hide();
		};
	});	

}


dhtmlx.image_path = "../dhtmlx/imgs/";
dhtmlxEvent(window,"load",function(){
	main_layout = new dhtmlXLayoutObject(document.body, '3u');
	var a = main_layout.cells('a');
	var b = main_layout.cells('b');
	var c = main_layout.cells('c');	
	a.setText('Planning');
	a.setWidth('300');
	scheduler.config.xml_date="%d/%m/%Y %H:%i:%s";
	scheduler.locale.labels.timeline_tab ="timeline";
	scheduler.locale.labels.section_aktiviteit ="Aktiviteit";	
	scheduler.locale.labels.section_gewas ="Gewas";	
	scheduler.createTimelineView({
		name:"timeline",
		x_unit:"week",//measuring unit of the X-Axis.
		x_date:"%W", //date format of the X-Axis
		x_step:1,      //X-Axis step in 'x_unit's
		x_size:52,      //X-Axis length specified as the total number of 'x_step's
		x_start:0,     //X-Axis offset in 'x_unit's
		x_length:52,    //number of 'x_step's that will be scrolled at a time
		y_unit:scheduler.serverList("sections"),
		y_property:"sectieid",
		dy:20,
		render:"tree",
		round_position:true
	});
	var format=scheduler.date.date_to_str("%d-%m-%Y"); 
	scheduler=c.attachScheduler(new Date(),"timeline",'<div class="dhx_cal_tab" name="day_tab" style="right:204px;"></div><div class="dhx_cal_tab" name="week_tab" style="right:140px;"></div><div class="dhx_cal_tab" name="month_tab" style="right:76px;"></div><div class="dhx_cal_tab" name="timeline_tab" style="right:76px;"></div>');	
	dhtmlXTooltip.config.className = 'dhtmlXTooltip tooltip'; 
	dhtmlXTooltip.config.timeout_to_display = 50; 
	dhtmlXTooltip.config.delta_x = 15; 
	dhtmlXTooltip.config.delta_y = -20;
	scheduler.templates.tooltip_text = function(start,end,event) {
		return "<b>Event ID:</b> "+event.id+"<br/><b>Geplandaantal:</b> "+event.aantalgepland+"<br/><b>Start datum:</b> "+
		format(start)+"<br/><b>Eind datum:</b> "+format(end);
	};
	var menu = new dhtmlXMenuObject();
	menu.setIconsPath("../dhtmlx/imgs/");
	menu.renderAsContextMenu();
	menu.loadXMLString('<menu><item text="Overgaan volgende fase" img="blue.gif" id="fase_overgaanvolgende"/></menu>');;
	scheduler.attachEvent('onContextMenu', function (event_id, e){
		var p = (e.srcElement||e.target);
		var px = (_isIE||_isOpera||_KHTMLrv?e.offsetX:e.layerX);
		var py = (_isIE||_isOpera||_KHTMLrv?e.offsetY:e.layerY);
		var mx = getAbsoluteLeft(p)+px;
		var my = getAbsoluteTop(p)+py;
		menu.showContextMenu(mx-50, my-3);
		menu.setUserData('plan_vooruit', 'eventid', event_id);
		menu.setUserData('fase_splitsen', 'eventid', event_id);
	});

	plangrid=b.attachGrid();
	plangrid.setHeader("id,ouderid,start_date,end_date,jaar,week,entkamerid,mediumid,cyclustijd,overzettingsgraad,aantalgepland,aantalperbak,aantalverwerken,aantalverwerkt,aantalproductie,bakjesperbled,text,sectieid,aktiviteitid,faseid,trajectid");
	plangrid.setColTypes("ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed,ed");
	plangrid.setColumnIds('id,ouderid,start_date,end_date,jaar,week,entkamerid,mediumid,cyclustijd,overzettingsgraad,aantalgepland,aantalperbak,aantalverwerken,aantalverwerkt,aantalproductie,bakjesperbled,text,sectieid,aktiviteitid,faseid,trajectid');
	plangrid.init();

	dataladen();
	setTimeout(function(){overzichtgridbouwen();},800);
	menu.attachEvent("onClick",function(id){
		 var event_id = menu.getUserData('plan_vooruit', 'eventid');
		 if (id=='plan_vooruit'){
			do_plan_vooruit(event_id);
		} else if (id=='wijzigen'){
		} else if (id=='toon_kind'){
			do_toon_kind(event_id);	
		} else if (id=='toon_ouder'){
			do_toon_ouder(event_id);
		} else if (id=='fase_overgaanvolgende'){
			do_fase_overgaanvolgende(event_id);
		} else if (id=='fase_splitsen'){
			do_fase_splitsen(event_id);
		} else {
			alert(id);
		}
	});
	
})
</script>
</head>
 
<body>

</body>
</html>


